Subject: bug#66277: R build processes use all the available cores

From: Ludovic Courtès <[email-masked]>
Date: Sat, 30 Sep 2023 11:51:36 +0200

Hi!

I noticed on guix.bordeaux.inria.fr, which builds guix-cran, that R
build processes would unconditionally use all the available cores
(specifically, launching one R process per core), ignoring the value of
‘parallel-job-count’.

I believe all r-* packages are affected.

On IRC, Ricardo wrote:

--8<---------------cut here---------------start------------->8---
<rekado> the build system uses R CMD INSTALL, which in turn uses
	 install.packages(); that procedure takes an argument Ncpus, which by
	 default is whatever getOption("Ncpus") returns (or 1).  [16:16]
<rekado> that’s used as an argument to ‘make‘ (if it needs to be called)
--8<---------------cut here---------------end--------------->8---

Maybe we should set that ‘Ncpus’ option to what ‘parallel-job-count’
returns?

Ludo’.